import { IObj } from "../../type";
export declare const genSetRefObjFunc: <T extends IObj<any>>(obj: {
    current: T;
}) => (key: Partial<T> | keyof T | ((v: T) => T), value?: any) => void;
export declare const genSetObjFunc: <T extends IObj<any>>(obj: T) => (key: Partial<T> | keyof T | ((v: T) => void), value?: any) => void;
declare const _default: {
    addCacheWrapper: <T = Function>(func: T) => T;
    genSetRefObjFunc: <T_1 extends IObj<any>>(obj: {
        current: T_1;
    }) => (key: Partial<T_1> | keyof T_1 | ((v: T_1) => T_1), value?: any) => void;
    genSetObjFunc: <T_2 extends IObj<any>>(obj: T_2) => (key: Partial<T_2> | keyof T_2 | ((v: T_2) => void), value?: any) => void;
};
export default _default;
