export declare const getBase64: (file: File | Blob) => Promise<unknown>;
export declare const downloadFile: (blob: Blob, fileName: string) => void;
export declare const translateUrl: (fileName: string, type: "addPrefix" | "removePrefix", baseUrl: string) => string;
export declare const loadImage: (src: string) => Promise<HTMLImageElement>;
declare const _default: {
    getBase64: (file: File | Blob) => Promise<unknown>;
    downloadFile: (blob: Blob, fileName: string) => void;
    translateUrl: (fileName: string, type: "addPrefix" | "removePrefix", baseUrl: string) => string;
    loadImage: (src: string) => Promise<HTMLImageElement>;
};
export default _default;
