import { DurationUnitsObjectType } from "dayjs/plugin/duration";
import { IKey } from "../../type";
declare class StorageHelper {
    private prefix;
    length: number;
    constructor(prefix: IKey);
    private calcExpire;
    getItem<T>(key: IKey): T | null;
    getItem<T>(key: IKey, defaultValue: T): T;
    setItem: (key: IKey, value: any, _expire?: DurationUnitsObjectType | number) => void;
    removeItems: (keys: IKey[]) => void;
    removeItem: (key: string) => void;
    clear: () => void;
    key: (index: number) => string | null;
}
export default StorageHelper;
