import { IObj } from "../../type";
declare class CacheHelper {
    protected cacheStore: IObj;
    addToStore: <T>(key: string, value: T) => T;
    removeFromStore: (key: string) => boolean;
    clearStore: () => void;
    getStoreItem: <T = unknown>(key: string, cb: () => T | Promise<T>) => Promise<T>;
}
export default CacheHelper;
