import { IObj } from "../../type";
export declare type IFormat = {
    submit?: (val: any | undefined, result: IObj, rawData: IObj) => any;
    detail?: (val: any | undefined, result: IObj, rawData: IObj) => any;
};
export interface FormatItem {
    fields: string[];
    format: IFormat;
}
export declare const genFormatMap: (formatList: FormatItem[]) => IObj<IFormat>;
export interface FormatDataProps {
    data: IObj;
    module: string;
    type: keyof IFormat;
    formatMap: IObj<IFormat>;
}
export declare const formatData: ({ data, module, type, formatMap }: FormatDataProps) => IObj<any>;
declare const _default: {
    genFormatMap: (formatList: FormatItem[]) => IObj<IFormat>;
    formatData: ({ data, module, type, formatMap }: FormatDataProps) => IObj<any>;
};
export default _default;
